---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:43:37Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:43:37Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:14:36Z"
  name: rook-ceph-operator.openshift-storage
  resourceVersion: "2219415"
  uid: 8272dceb-1d93-436f-aee2-7fe5a968944a
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/rook-ceph-operator.openshift-storage
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-1wWlAGz7gDOt2eVbAAGGJxIgrXCOBwCYdAz25A
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-27oL6SEsx93IHrV1gCqJzX3y6UClFTgCwO0fYJ
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-4qZoFo2v2Dv9uSqSIKzUQrwm3goXTJf8UdbsKp
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-51PKFvNDI7oftVxa8hyUeb0yMFvO78lEGvznFD
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-6g6d597TpgtSaRJIjGquKHaN8oZgxD2Psnwl4a
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-7S2OVsZ36wYwkrfleX3HSZDJ7NvRwX6eMGF6oa
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-9DLziksH1mROIC5CUmfdZkPUyJBiXDfr8EeQAr
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-9N1ewTAVS1ZHTBGaAVBvC8JAuDXfDytBWOW98Q
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19-cQvvRgGWxC0BUhEQBhIKO4Y7CUciO7uhkLVsPQ
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: rook-ceph-operator.v4.19.-NyixVGnJgClqVlvJOlOLhd4w2eamOtJbp0c95
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-1wWlAGz7gDOt2eVbAAGGJxIgrXCOBwCYdAz25A
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-27oL6SEsx93IHrV1gCqJzX3y6UClFTgCwO0fYJ
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-4qZoFo2v2Dv9uSqSIKzUQrwm3goXTJf8UdbsKp
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-51PKFvNDI7oftVxa8hyUeb0yMFvO78lEGvznFD
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-6g6d597TpgtSaRJIjGquKHaN8oZgxD2Psnwl4a
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-7S2OVsZ36wYwkrfleX3HSZDJ7NvRwX6eMGF6oa
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-9DLziksH1mROIC5CUmfdZkPUyJBiXDfr8EeQAr
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-9N1ewTAVS1ZHTBGaAVBvC8JAuDXfDytBWOW98Q
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19-cQvvRgGWxC0BUhEQBhIKO4Y7CUciO7uhkLVsPQ
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: rook-ceph-operator.v4.19.-NyixVGnJgClqVlvJOlOLhd4w2eamOtJbp0c95
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:47:58Z"
        lastUpdateTime: "2025-10-27T12:47:58Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: rook-ceph-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: v1
      kind: ConfigMap
      name: rook-ceph-external-cluster-script-config
      namespace: openshift-storage
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:11Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:11Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephblockpoolradosnamespaces.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephblockpools.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephbucketnotifications.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephbuckettopics.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephclients.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephclusters.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephcosidrivers.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephfilesystemmirrors.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephfilesystems.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephfilesystemsubvolumegroups.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephnfses.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephobjectrealms.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephobjectstores.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:10Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephobjectstoreusers.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephobjectzonegroups.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephobjectzones.ceph.rook.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:44:09Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: cephrbdmirrors.ceph.rook.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:32Z"
        lastUpdateTime: "2025-10-27T12:44:32Z"
        message: ReplicaSet "rook-ceph-operator-f4fdc5dcb" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      - lastTransitionTime: "2025-10-27T12:47:54Z"
        lastUpdateTime: "2025-10-27T12:47:54Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      kind: Deployment
      name: rook-ceph-operator
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:28Z"
        lastUpdateTime: "2025-10-27T12:44:28Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-npnkp
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: rook-ceph-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-1bZzzJS8OTrC17peDPI30KMhx9r36bDNLKRDjv
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-4hRHS9SL2jHPEsB8LTYo5OQtuzqZOluwFx0jYD
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-4r3YIZQQYH5uGvgmsWS4JcCwVsx345yTKDu2jA
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-5oVw5LuBmNHdAJ3TyhBTBaOLnW6UeCPFIt78W5
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-5pAt4qeV0gYH7xSJJlXS4npBrctRLAiPs2w14w
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-658mZMEsgN08Vn32viPB78wuylIL7cWYmcKgv7
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-7zB9X6yhCpXGP2xMNvUMKx8t2946Meh4awCM3h
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-8LSvEnHkdi1rOQptSADEpITzn41KrXFPpbLuUK
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-9ZRP0ZgkofGhEObjWCG8xti9Nb7Og30OgaaC2Y
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: rook-ceph-operator.v4.19-cnHQRQM6fIXAxDJODdhrspXDqGLHgjMWdvz27y
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-1bZzzJS8OTrC17peDPI30KMhx9r36bDNLKRDjv
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-4hRHS9SL2jHPEsB8LTYo5OQtuzqZOluwFx0jYD
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-4r3YIZQQYH5uGvgmsWS4JcCwVsx345yTKDu2jA
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-5oVw5LuBmNHdAJ3TyhBTBaOLnW6UeCPFIt78W5
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-5pAt4qeV0gYH7xSJJlXS4npBrctRLAiPs2w14w
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-658mZMEsgN08Vn32viPB78wuylIL7cWYmcKgv7
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-7zB9X6yhCpXGP2xMNvUMKx8t2946Meh4awCM3h
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-8LSvEnHkdi1rOQptSADEpITzn41KrXFPpbLuUK
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-9ZRP0ZgkofGhEObjWCG8xti9Nb7Og30OgaaC2Y
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: rook-ceph-operator.v4.19-cnHQRQM6fIXAxDJODdhrspXDqGLHgjMWdvz27y
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-cmd-reporter
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-default
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-mgr
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-osd
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-purge-osd
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-rgw
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-ceph-system
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-csi-cephfs-plugin-sa
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-csi-cephfs-provisioner-sa
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-csi-nfs-plugin-sa
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-csi-nfs-provisioner-sa
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-csi-rbd-plugin-sa
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: rook-csi-rbd-provisioner-sa
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:04:20Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription ocs-subscription,
          subscription ocs-subscription exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: rook-ceph-operator-stable-4.19-redhat-operators-openshift-marketplace
      namespace: openshift-storage
